local rect = display.newRect( 100, 100, 100, 100 )
	rect:setFillColor ( 0.5 )
	
function rect:renew ()
	self.width = display.contentWidth
	self.height = display.contentHeight
	self.x = display.contentCenterX
	self.y = display.contentCenterY
end

rect:renew ()

local txt = display.newText(
	{
    text = "contentHeight: "..display.contentHeight .. ", contentWidth "..display.contentWidth,
    x = 0,
	y = 0,
    font = native.systemFont,
    fontSize = 18
	}
)

function txt:renew ()
	self.text = "contentHeight: "..display.contentHeight .. ", contentWidth "..display.contentWidth
	self.x = display.contentCenterX
	self.y = display.contentCenterY
end

txt:renew ()

local function resizeListener ( event )
	rect:renew ()
	txt:renew ()
end

Runtime:addEventListener ( "resize", resizeListener )